Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230868 - Abiword crashes on opening Word document
Summary: Abiword crashes on opening Word document
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abiword
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marc Maurer
QA Contact: Fedora Extras Quality Assurance
URL: http://hircus.org/fedora/word-bug/CDF...
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-04 00:33 UTC by Michel Alexandre Salim
Modified: 2008-05-07 01:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 01:16:26 UTC


Attachments (Terms of Use)
backtrace of crash (deleted)
2007-03-04 01:57 UTC, David Nielsen
no flags Details

Description Michel Alexandre Salim 2007-03-04 00:33:02 UTC
Description of problem:
The word document available at the URL above opens fine with Ubuntu's OpenOffice
2.1, but not with Rawhide's Abiword 2.4.6, nor OpenOffice 2.2

Version-Release number of selected component (if applicable):
abiword-2.4.6-3.fc7

How reproducible:
Always

Steps to Reproduce:
1. Load document
  
Actual results:
Abiword would draw its toolbar, but the main document frame is blank, and if
launched from gnome-terminal, the terminal window remains unresponsive (the
hidden parts of the window are not redrawn when the window is brought to front)
until Abiword is killed.

This appears in stdout/stderr:

GTK Accessibility Module initialized
Bonobo accessibility support initialized

(AbiWord-2.4:12050): libgsf:msole-CRITICAL **: ole_get_block: assertion `block <
ole->info->max_block' failed
ERROR: meta.c (179): wmf_header_read: this isn't a wmf file
GTK Accessibility Module initialized
Bonobo accessibility support initialized
GTK Accessibility Module initialized
Bonobo accessibility support initialized
Killed


Expected results:
Document should open

Additional info:
Related to bz# 230867 for oo.org-writer

Comment 1 David Nielsen 2007-03-04 01:57:09 UTC
Created attachment 149197 [details]
backtrace of crash

Attached a backtrace with debug symbols loaded but that might be misleading
since Abiword itself crashes on startup as described here
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=227192

Comment 2 Michel Alexandre Salim 2007-03-04 02:32:06 UTC
Ah, quite right. The bizarre thing is that if you instruct it to open a document
on startup, it actually gets further (it draws the toolbar) than if you just
start it.

Comment 3 hwQQUo 2007-10-09 04:56:39 UTC
Bug 227192 has been fixed. Can someone provide an updated backtrace?  Thanks.

Comment 4 Bug Zapper 2008-04-03 23:37:13 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 5 Bug Zapper 2008-05-07 01:16:24 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.